com.genesyslab.wfm7.API.service.config712

## Class CfgVirtualActivity

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config712.CfgVirtualActivity

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgVirtualActivity
      extends java.lang.Object
      implements java.io.Serializable

  Multi-Site Activity information. A multi-site activity consist of several activities from different sites
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private long` | `timestamp` A timestamp value -- marks time point when Object information was obtained
    `private CfgSiteActivity[]` | `wmActivities` An array of activities (`CfgSiteActivity` that multi-site activity consist of
    `private int` | `wmActivitiesNSizeIs` Number of elements in wmActivities array
    `private int` | `wmBUId` Business Unit ID, identifies `CfgBU` object
    `private java.lang.String` | `wmName` Name of Multi-Site Activity
    `private java.lang.String` | `wmShortName` Short Name of Multi-Site Activity
    `private int` | `wmVirtualActivityId` Multi-Site Activity ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgVirtualActivity()`
    `CfgVirtualActivity(int wmVirtualActivityId, int wmBUId, java.lang.String wmName, java.lang.String wmShortName, int wmActivitiesNSizeIs, CfgSiteActivity[] wmActivities, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getTimestamp()` Gets the timestamp value for this CfgVirtualActivity.
    `CfgSiteActivity[]` | `getWmActivities()` Gets the wmActivities value for this CfgVirtualActivity.
    `int` | `getWmActivitiesNSizeIs()` Gets the wmActivitiesNSizeIs value for this CfgVirtualActivity.
    `int` | `getWmBUId()` Gets the wmBUId value for this CfgVirtualActivity.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgVirtualActivity.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this CfgVirtualActivity.
    `int` | `getWmVirtualActivityId()` Gets the wmVirtualActivityId value for this CfgVirtualActivity.
    `int` | `hashCode()`
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgVirtualActivity.
    `void` | `setWmActivities(CfgSiteActivity[] wmActivities)` Sets the wmActivities value for this CfgVirtualActivity.
    `void` | `setWmActivitiesNSizeIs(int wmActivitiesNSizeIs)` Sets the wmActivitiesNSizeIs value for this CfgVirtualActivity.
    `void` | `setWmBUId(int wmBUId)` Sets the wmBUId value for this CfgVirtualActivity.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgVirtualActivity.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this CfgVirtualActivity.
    `void` | `setWmVirtualActivityId(int wmVirtualActivityId)` Sets the wmVirtualActivityId value for this CfgVirtualActivity.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmVirtualActivityId

          private int wmVirtualActivityId

      Multi-Site Activity ID

    - #### wmBUId

          private int wmBUId

      Business Unit ID, identifies `CfgBU` object

    - #### wmName

          private java.lang.String wmName

      Name of Multi-Site Activity

    - #### wmShortName

          private java.lang.String wmShortName

      Short Name of Multi-Site Activity

    - #### wmActivitiesNSizeIs

          private int wmActivitiesNSizeIs

      Number of elements in wmActivities array

    - #### wmActivities

          private CfgSiteActivity[] wmActivities

      An array of activities (`CfgSiteActivity` that multi-site activity consist of

    - #### timestamp

          private long timestamp

      A timestamp value -- marks time point when Object information was obtained

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgVirtualActivity

          public CfgVirtualActivity()

    - #### CfgVirtualActivity

          public CfgVirtualActivity(int wmVirtualActivityId,
                            int wmBUId,
                            java.lang.String wmName,
                            java.lang.String wmShortName,
                            int wmActivitiesNSizeIs,
                            CfgSiteActivity[] wmActivities,
                            long timestamp)

  - ### Method Detail

    - #### getWmVirtualActivityId

          public int getWmVirtualActivityId()

      Gets the wmVirtualActivityId value for this CfgVirtualActivity.
      Returns:
        wmVirtualActivityId

    - #### setWmVirtualActivityId

          public void setWmVirtualActivityId(int wmVirtualActivityId)

      Sets the wmVirtualActivityId value for this CfgVirtualActivity.
      Parameters:
        `wmVirtualActivityId` -

    - #### getWmBUId

          public int getWmBUId()

      Gets the wmBUId value for this CfgVirtualActivity.
      Returns:
        wmBUId

    - #### setWmBUId

          public void setWmBUId(int wmBUId)

      Sets the wmBUId value for this CfgVirtualActivity.
      Parameters:
        `wmBUId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgVirtualActivity.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgVirtualActivity.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this CfgVirtualActivity.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this CfgVirtualActivity.
      Parameters:
        `wmShortName` -

    - #### getWmActivitiesNSizeIs

          public int getWmActivitiesNSizeIs()

      Gets the wmActivitiesNSizeIs value for this CfgVirtualActivity.
      Returns:
        wmActivitiesNSizeIs

    - #### setWmActivitiesNSizeIs

          public void setWmActivitiesNSizeIs(int wmActivitiesNSizeIs)

      Sets the wmActivitiesNSizeIs value for this CfgVirtualActivity.
      Parameters:
        `wmActivitiesNSizeIs` -

    - #### getWmActivities

          public CfgSiteActivity[] getWmActivities()

      Gets the wmActivities value for this CfgVirtualActivity.
      Returns:
        wmActivities

    - #### setWmActivities

          public void setWmActivities(CfgSiteActivity[] wmActivities)

      Sets the wmActivities value for this CfgVirtualActivity.
      Parameters:
        `wmActivities` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgVirtualActivity.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgVirtualActivity.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.